using System;
using System.Linq;

class Program
{
    static void Main()
    {
        string a = Console.ReadLine();
        int[] brvis = a.Split(' ').Select(int.Parse).ToArray();
        int N = brvis[0];
        int L = brvis[1];
        a = Console.ReadLine();
        int[] h = a.Split(' ').Select(int.Parse).ToArray();
        int r = 0;
        int rez = 0;
        for (int i = 0; i < N; i++)
        {
            if (L >= h[i])
            {
                r = 1;
                rez = i;
                break;
            }
        }
        if (r == 1)
            Console.WriteLine(rez + 1);
        else
            Console.WriteLine(-1);
    }
}